DEP8 failure with new lz4

Bug #1851696 reported by Andreas Hasenack
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mysql-8.0 (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

There are DEP8 failures with the new lz4 package on focal-proposed, 1.9.2-1

[ 78%] main.mysqlpump_basic_lz4 [ fail ]
        Test ended at 2019-11-04 20:04:36

CURRENT_TEST: main.mysqlpump_basic_lz4
Dump progress: 1/2 tables, 0/9 rows
mysqlpump: [NOTE] (1585) This function 'format_bytes' has the same name as a native function
mysqlpump: [WARNING] (3719) 'utf8' is currently an alias for the character set UTF8MB3, but will be an alias for UTF8MB4 in a future release. Please consider using UTF8MB4 in order to be unambiguous.
mysqlpump: [WARNING] (3719) 'utf8' is currently an alias for the character set UTF8MB3, but will be an alias for UTF8MB4 in a future release. Please consider using UTF8MB4 in order to be unambiguous.
Dump completed in 1347

/tmp/tmp.W8GeexahTr/ : decoded 2515 bytes
--- /usr/lib/mysql-test/r/mysqlpump_basic_lz4.result 2019-06-25 13:23:30.000000000 +0300
+++ /tmp/tmp.W8GeexahTr/var/log/mysqlpump_basic_lz4.reject 2019-11-04 23:04:36.722724150 +0300
@@ -1,3 +1,4 @@
+*** LZ4 command line interface 64-bits v1.9.2, by Yann Collet ***
 CREATE DATABASE bug21644479_lz4;
 USE bug21644479_lz4;
 CREATE TABLE t1 (a INT);

mysqltest: Result content mismatch

safe_process[30900]: Child process: 30901, exit: 1

 - the logfile can be found in '/tmp/tmp.W8GeexahTr/var/log/main.mysqlpump_basic_lz4/mysqlpump_basic_lz4.log'

Retrying test main.mysqlpump_basic_lz4, attempt(2/3).

[ 78%] main.mysqlpump_basic_lz4 [ retry-fail ]
        Test ended at 2019-11-04 20:04:40

CURRENT_TEST: main.mysqlpump_basic_lz4
Dump progress: 1/2 tables, 0/9 rows
mysqlpump: [NOTE] (1585) This function 'format_bytes' has the same name as a native function
mysqlpump: [WARNING] (3719) 'utf8' is currently an alias for the character set UTF8MB3, but will be an alias for UTF8MB4 in a future release. Please consider using UTF8MB4 in order to be unambiguous.
mysqlpump: [WARNING] (3719) 'utf8' is currently an alias for the character set UTF8MB3, but will be an alias for UTF8MB4 in a future release. Please consider using UTF8MB4 in order to be unambiguous.
Dump completed in 1417

/tmp/tmp.W8GeexahTr/ : decoded 2515 bytes
--- /usr/lib/mysql-test/r/mysqlpump_basic_lz4.result 2019-06-25 13:23:30.000000000 +0300
+++ /tmp/tmp.W8GeexahTr/var/log/mysqlpump_basic_lz4.reject 2019-11-04 23:04:40.454636089 +0300
@@ -1,3 +1,4 @@
+*** LZ4 command line interface 64-bits v1.9.2, by Yann Collet ***
 CREATE DATABASE bug21644479_lz4;
 USE bug21644479_lz4;
 CREATE TABLE t1 (a INT);

mysqltest: Result content mismatch

safe_process[30960]: Child process: 30961, exit: 1

 - the logfile can be found in '/tmp/tmp.W8GeexahTr/var/log/main.mysqlpump_basic_lz4/mysqlpump_basic_lz4.log'

Test main.mysqlpump_basic_lz4 has failed 2 times, no more retries.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-8.0 - 8.0.18-0ubuntu3

---------------
mysql-8.0 (8.0.18-0ubuntu3) focal; urgency=medium

  * debian/patches/new_lz4_compat.patch: fix patch to actually work with
    the old lz4 also.

 -- Marc Deslauriers <email address hidden> Tue, 19 Nov 2019 07:20:22 -0500

Changed in mysql-8.0 (Ubuntu):
status: New → Fix Released
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

This was blocking lz4 in proposed-migration still.
Needed to retrigger the test to run against the newer (already in -release) mysql.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers